const { OpenAIClient, AzureKeyCredential } = require("@azure/openai");
require('dotenv').config();

const client = new OpenAIClient(
    process.env.AZURE_OPENAI_ENDPOINT,
    new AzureKeyCredential(process.env.AZURE_OPENAI_API_KEY)
);

async function main(){
    let query = "Write me a story";

    let messages = [{ role: 'user', content: query }]
    let options = {
        max_tokens: 50,
        user:"user_123456",
    };
    let deploymentId = "gpt-35-turbo";
    const chatCompletion = await client.getChatCompletions(deploymentId,messages, options);
    console.log(JSON.stringify(chatCompletion, null, 2));

    const events = await client.streamChatCompletions(deploymentId, messages, options);
    for await (const event of events) {
        for (const choice of event.choices) {
            const delta = choice.delta?.content;
            if (delta !== undefined) {
                console.log(`Chatbot: ${delta}`);
            }
        }
    }
}

main()
